/*
export function someAction (context) {
}
*/

export function updateField ({ commit, dispatch }, { field, value }) {
  commit('setFieldValue', { field, value });
  return dispatch('validateForm');
}

export function validateForm ({ state, commit }) {
  commit('setValid', false);
}

export function submitForm ({ state, commit }) {}

export function loadForm ({ commit, state, dispatch }, profile) {
  Object.keys(state.fields).forEach(fieldName => {
    commit('setFieldValue', fieldName, profile[fieldName]);
  });
  return dispatch('validateForm');
}
