export default {
  //
  fields: [
    {
      label: 'Bio',
      name: 'bio',
      type: 'textarea',
      required: true,
      rules: [r => r.length > 0 || 'The bio is required']
    },
    {
      label: 'Public Email',
      name: 'public_email',
      type: 'email',
      required: false
    },
    {
      label: 'Location',
      name: 'location',
      type: 'text',
      required: false
    },
    {
      label: 'Website',
      name: 'website',
      type: 'url',
      required: false
    },
    {
      label: 'Instagram',
      name: 'instagram',
      type: 'url',
      required: false
    },
    {
      label: 'Avatar',
      type: 'image',
      name: 'avatarURL',
      required: false
    }
  ],

  values: {
    bio: '',
    public_email: '',
    website: '',
    instagram: '',
    avatarURL: '',
    location: ''
  },

  valid: false,
  errors: []
};
